﻿$packageName = 'geforce-game-ready-driver'
$fileType = 'exe'
$silentArgs = '-s -noreboot'
$url   = 'https://us.download.nvidia.com/Windows/388.43/388.43-desktop-win10-32bit-international-whql.exe'
$url64 = 'https://us.download.nvidia.com/Windows/388.43/388.43-desktop-win10-64bit-international-whql.exe'
$checksum   = 'e25ac4a8e95c519edca590a8025e341209a9e91fac97fb75e5857b5aea3cbe0b'
$checksum64 = '5db3fc1cd8d923098a90b9d874ed0c635893ee055f1f96593f967e28018ad9b7'
$checksumType = 'sha256'

If ( [System.Environment]::OSVersion.Version.Major -ne '10' ) {
	$url   = 'https://us.download.nvidia.com/Windows/388.43/388.43-desktop-win8-win7-32bit-international-whql.exe'
	$url64 = 'https://us.download.nvidia.com/Windows/388.43/388.43-desktop-win8-win7-64bit-international-whql.exe'
	$checksum   = '46fade9ac43de4711a69f23f5b6c6195b12d6ca850d8499793336e550ac2bd6d'
	$checksum64 = 'bd79c314adb595bcd69da0bba5d6333495387591f7badb773d22eae7354b9cf5'
}


Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 `
-Checksum $checksum -ChecksumType $checksumType -Checksum64 $checksum64 `
-ValidExitCodes @(0,1)

Write-Host "The package 'nvidia-display-driver' is also available for those who don't want or need the extra software bundled with the conventional geforce package."
